Subject: Re: Need a customised version of PostgreSQL 7.1.3 on cygwin
From: Jason Tishler <[email-masked]>
To: Justin Clift <[email-masked]>
Cc: Cygwin Mailing List <[email-masked]>, Tom Lane <[email-masked]>, Frank Joerdens <[email-masked]>
Date: Sun, 27 Jan 2002 10:47:53 -0500

Justin,

On Mon, Jan 28, 2002 at 02:04:48AM +1100, Justin Clift wrote:
> Thanks for your continued support.  :)

You are very welcome.

> Lucky for us all, it turns out the problem is a non-problem.  It was
> just a way in which cygipc (I might have the exact spelling wrong) not
> being installed shows up, because PostgreSQL with cygwin needs it.
> 
> So, when it got installed, PostgreSQL began to work.

I'm glad that the problem is "solved" and I will assume that you no
longer need a debug version.

BTW, in the future, just download the pre-patched PostgreSQL source
from any Cygwin mirror, apply a patch such as the attached to
CYGWIN-PATCHES/build.sh, and rebuild using this build recipe.

Jason
--- build.sh.orig	Sun Jan 27 09:40:42 2002
+++ build.sh	Sun Jan 27 09:41:09 2002
@@ -24,7 +24,7 @@
 SrcDocDir=doc
 
 # configure
-configure --enable-multibyte --with-python --with-java --with-CXX --prefix=$Prefix --sysconfdir=/etc --docdir=$Prefix/doc/$pkg-$version
+configure --enable-multibyte --with-python --with-java --with-CXX --prefix=$Prefix --sysconfdir=/etc --docdir=$Prefix/doc/$pkg-$version --enable-debug
 
 # make
 make
@@ -33,7 +33,7 @@
 DESTDIR=$TmpDir make install
 
 # strip executables
-find $InstallPrefix -name '*.exe' -o -name '*.dll' | xargs strip
+# find $InstallPrefix -name '*.exe' -o -name '*.dll' | xargs strip
 
 # move DLLs (except plpgsql.dll) from lib to bin
 mv $LibDir/*.dll $BinDir

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/